import * as iam from 'aws-cdk-lib/aws-iam';
import * as route53 from 'aws-cdk-lib/aws-route53';
import { Construct } from 'constructs';
export declare type CrossAccountRoute53RolePropsRecordAction = 'CREATE' | 'UPSERT' | 'DELETE';
export interface CrossAccountRoute53RolePropsRecord {
    readonly domainNames: string | string[];
    readonly types?: (keyof typeof route53.RecordType)[];
    readonly actions?: CrossAccountRoute53RolePropsRecordAction[];
}
export interface CrossAccountRoute53RoleProps {
    readonly roleName: string;
    readonly assumedBy: iam.IPrincipal;
    readonly zone: route53.IHostedZone;
    readonly records: CrossAccountRoute53RolePropsRecord[];
}
export declare class CrossAccountRoute53Role extends Construct {
    constructor(scope: Construct, id: string, props: CrossAccountRoute53RoleProps);
    private normaliseDomainName;
}
export interface CrossAccountRoute53RecordSetProps {
    readonly delegationRoleName: string;
    readonly delegationRoleAccount: string;
    readonly hostedZoneId: string;
    readonly resourceRecordSets: any;
}
export declare class CrossAccountRoute53RecordSet extends Construct {
    constructor(scope: Construct, id: string, props: CrossAccountRoute53RecordSetProps);
}
